[draft]PVE 6 升級到 7 紀錄

依照官方的 wiki 說明升級程序, 似乎不太困難, 因此將實際的升級程序操作紀錄在底下

  1. 將現在 PVE 6 所有主機都先生級到最新版本 Exp. 6.4-13 (有更新到 linux-kernel 需要重開機)
  2. 有同時安裝 PBS(Proxmox Backup Server)需要先將 PBS 升級到 2.x 參考 [draft]PBS 1 升級到 2 紀錄
  3. 確定可以穩定存取每一台的參數檔儲存區 (萬一有異常可以直接進去手動修改)
  4. 確定目前的 Cluster 是健康穩定狀態
  5. 驗證與測試所有 VM 與 CT 的備份都是正確 (萬一出現災難還有降災還原的機會)
  6. 確定是正確升級存儲庫的配置
  7. 根目錄至少要有 4GB 的磁碟空間
  1. 所有主機都執行升級檢測工具

    pve6to7 --full

    如果有使用 CT 裡面是 CentOS7/Ubuntu16 .. 會出現這個警告

    WARN: Found at least one CT (103) which does not support running in a unified cgroup v2 layout.
        Either upgrade the Container distro or set systemd.unified_cgroup_hierarchy=0 in the Proxmox VE hosts' kernel cmdline! Skipping further CT compat checks.
  • tech/pve6to7.txt
  • 上一次變更: 2021/07/31 20:15
  • jonathan